GFS_ACL_DELETE_ENTRY(3)

NAME
gfs_acl_delete_entry - delete a Gfarm ACL entry

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_delete_entry(gfarm_acl_t acl, gfarm_acl_entry_t entry_d);

INPUT ARGUMENTS

acl
    An ACL structure type.

entry_d
    An ACL entry.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_INVALID_ARGUMENT
    The ACL does not have the ACL entry.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_get_entry(3), gfs_acl_create_entry(3)